Loading...
Searching...
No Matches
Dune::TypeTree::VisitTree Struct Reference
dune-typetree » Traversal

Mixin base class for visitors that want to visit the complete tree. More...

`#include <dune/typetree/visitor.hh>`

Inheritance diagram for Dune::TypeTree::VisitTree:

## Classes

struct | VisitChild
| Template struct for determining whether or not to visit a given child. More...

## Detailed Description

Mixin base class for visitors that want to visit the complete tree.

This mixin class will accept all children presented to it and thus make the iterator traverse the entire tree.

The documentation for this struct was generated from the following file:

- visitor.hh